Subject: Re: [PATCH v2] wl1251: add sysfs interface for bluetooth coexistence mode configuration

From: Kalle Valo <[email-masked]>
Date: Wed, 13 Jan 2016 14:57:16 +0200

Pali Rohár <[email-masked]> writes:

> On Saturday 26 December 2015 12:45:10 Pali Rohár wrote:
>> Port the bt_coex_mode sysfs interface from wl1251 driver version included
>> in the Maemo Fremantle kernel to allow bt-coexistence mode configuration.
>> This enables userspace applications to set one of the modes
>> WL1251_BT_COEX_OFF, WL1251_BT_COEX_ENABLE and WL1251_BT_COEX_MONOAUDIO.
>> The default mode is WL1251_BT_COEX_OFF.
>> It should be noted that this driver always enabled bt-coexistence before
>> and enabled bt-coexistence directly affects the receiving performance,
>> rendering it unusable in some low-signal situations. Especially monitor
>> mode is affected very badly with bt-coexistence enabled.
>> 
>> Signed-off-by: David Gnedt <[email-masked]>
>> Signed-off-by: Pali Rohár <[email-masked]>
>> ---
>> I'm resending this patch for review again as after two years there is no
>> nl80211 interface for bt coex and wl1251 on Nokia N900 needs it. Once
>> there will be common interface for bt coex I can rewrite my patches, but
>> I do not want to wait another 2 years...
>> 
>> Changes:
>> In v2 is sysfs node attached directly to wl1251 device instead of creating
>> new platform device for sysfs node. So sysfs node is now available at:
>> /sys/class/net/wlan0/device/bt_coex_mode
>> ---
>>  drivers/net/wireless/ti/wl1251/acx.c    |   43 ++++++++++++++--
>>  drivers/net/wireless/ti/wl1251/acx.h    |    8 +--
>>  drivers/net/wireless/ti/wl1251/init.c   |    6 +--
>>  drivers/net/wireless/ti/wl1251/main.c   |   84 +++++++++++++++++++++++++++++++
>>  drivers/net/wireless/ti/wl1251/wl1251.h |    8 +++
>>  5 files changed, 137 insertions(+), 12 deletions(-)
>
> BUMP!

Please be patient. I'm backlogged at the moment but I will get to your
patch eventually. You can follow the status from patchwork:

https://patchwork.kernel.org/project/linux-wireless/list/?state=*

-- 
Kalle Valo